typedef void (*comfn)(void);

typedef struct comlist
{
 char  * name;
 comfn   func;
} comlist;

static comlist com[] = {
"style",           (comfn)style,
"ruler",           (comfn)style,
"framethrow",      (comfn)skipcommand,
"nextframe",       newpage,
"code",            code,
"tab",             tab,
"CR",              newpara,
"star",            star,
"hash",            hash,
"at",              at,
"softhyphen",      hyphen,
"kern",            kern,
"define",          define,
"font",            font,
"fontsize",        fontsize,
"linespace",       linespace,
"spaceabove",      spaceabove,
"spacebelow",      spacebelow,
"condframethrow",  skipcommand,
"leftmargin",      leftmargin,
"rightmargin",     rightmargin,
"returnmargin",    returnmargin,
"ruleleftmargin",  skipcommand,
"rulerightmargin", skipcommand,
"rulewidth",       skipcommand,
"vertrulewidth",   skipcommand,
"ruleaboveoffset", skipcommand,
"ruleoffset",      skipcommand,
"fontcolour",      fontcolour,
"backcolour",      backcolour,
"linecolour",      skipcommand,
"rulecolour",      skipcommand,
"fontaspect",      fontaspect,
"linespacep",      linespacep,
"tracking",        tracking,
"justify",         justify,
"tabs",            tabs,
"rulecontrol",     skipcommand,
"strikeout",       strikeout,
"hyphenate",       hyphenate,
"locktolinespace", skipcommand,
"bold",            bold,
"italic",          italic,
"keepparagraph",   skipcommand,
"keepnext",        skipcommand,
"keepregion",      skipcommand,
"overprint",       skipcommand,
"overprintb",      skipcommand,
"effectruler",     skipcommand,
"script",          script,
"scriptsize",      skipcommand,
"scriptoffset",    skipcommand,
"underline",       underline,
"linesize",        skipcommand,
"lineoffset",      skipcommand,
"leader",          skipcommand,
"dectabchar",      skipcommand,
"index",           skipcommand,
"contents",        skipcommand,
"shortcut",        skipcommand,
"pagenumber",      pageno,
"chapternumber",   chapno,
"menuitem",        skipcommand,
"autoindent",      skipcommand,
"autoparagraph",   setscope,
"merge",           mergecommand,
"end",             0
};

